/*------------------------------------*\
    #OBJECTS.RADIO-GROUP
\*------------------------------------*/
/**
 * Grouped radio inputs.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}radio-group,
%#{$inuit-namespace}radio-group {
    margin-bottom: $drk-base-unit;

    &:last-of-type {
        margin-bottom: 0;
    }
}

.#{$inuit-namespace}radio-group__item,
%#{$inuit-namespace}radio-group__item {
    //display: inline-block;
    margin-right: $drk-base-unit;
}

.#{$inuit-namespace}radio-group__option,
%#{$inuit-namespace}radio-group__option {
    margin-right: drk-quarter($drk-base-unit);
}

.#{$inuit-namespace}radio-group__label,
%#{$inuit-namespace}radio-group__label {
    .has-error & {
        color: $drk-color-light-red;
    }
}
